Article ID: 1028, created on Oct 6, 2008, last review on Apr 17, 2012

  • Applies to:
  • Virtuozzo containers for Linux


Upgrading RPM on the hardware node is not safe because RPM packages built by Linux distribution vendors require NPTL support in the kernel. Virtuozzo 2.6.2 kernel does not support NPTL. That's why we don't recommend that you upgrade RPM.

Virtuozzo 3.0 is based on 2.6 based kernel with NPTL support. So it doesn't have this issue.

e8e50b42231236b82df27684e7ec0beb d02f9caf3e11b191a38179103495106f 2897d76d56d2010f4e3a28f864d69223

Email subscription for changes to this article
Save as PDF